#include <napi.h>
#include "VN_Player.hh"

/**
 * Initializes a node module.
 **/
Napi::Object InitAll(Napi::Env env, Napi::Object exports) {
    return VN_Player::Init(env, exports);
}

/**
 * Export Init as a module to Node.js
 * Equivalent to `init(module.exports);`
 **/
 // Register and initialize native add-on
NODE_API_MODULE(NODE_GYP_MODULE_NAME, InitAll);
